{
  description = "Non-creative project name";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    fenix = {
      url = "github:nix-community/fenix";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, fenix, flake-utils, ... }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs {
          inherit system;
        };
      in
      with pkgs;
      {
        packages.default = pkgs.rustPlatform.buildRustPackage rec {
          pname = "ncpn";
          version = "0.1.0";

          src = self;

          cargoSha256 = "sha256-gJSEfA2MINdEFGzoaoVnh3tD2B/TmejkIozzObhUEvU=";

          meta = with stdenv.lib; {
            description = "Non-creative project name: Yet another link shortener, except this time in Rust!";
            homepage = "https://src.honbra.com/honbra/ncpn";
          };
        };

        devShells.default = mkShell {
          buildInputs = [
            cargo
            rustc
            clippy
            fenix.packages.${system}.latest.rustfmt
            rust-analyzer
            pkg-config
            postgresql
            sqlfluff
            sqlx-cli
          ];
        };
      }
    );
}
