mod files;
mod links;

use std::sync::Arc;

use axum::Router;
use sqlx::PgPool;

use crate::config::Config;

pub fn router(db: PgPool, config: Arc<Config>) -> Router {
    Router::new()
        .nest("/files", files::router(db.clone(), config))
        .nest("/links", links::router(db))
}
